{{ ansible_managed | comment }}

DEBUG="false"
LOGGING_LEVEL="{{ nextcloud_sync_logging_level | default('DEBUG') }}"
SLEEP_TIME={{ nextcloud_sync_sleep | default('1m') }}
FULL_SYNC_TIME={{nextcloud_sync_full_sync_time | default(2)}}

KEYCLOAK_URL=https://{{keycloak_service_name}}
KEYCLOAK_REALM={{nextcloud_keycloak_client_realm}}
KEYCLOAK_SECRET={{nextcloud_keycloak_client_secret}}
KEYCLOAK_CLIENT_ID={{nextcloud_keycloak_client_client_id}}
KEYCLOAK_CONNECTION_TIMEOUT=360

NEXTCLOUD_ADMIN_USER={{nextcloud_admin_user}}
NEXTCLOUD_ADMIN_PASS={{nextcloud_admin_app_password}}
NEXTCLOUD_SERVER_NAME={{nextcloud_service_name}}

NEXTCLOUD_URL="http://nextcloud"

SYNC_IGNORE_GROUPS={{ nextcloud_sync_ignore_groups | to_json }}
SYNC_IGNORE_USERS={{ nextcloud_sync_ignore_users | to_json }}
SYNC_IGNORE_USER_REGEX_PATTERNS=["^service-account-.*"]

ALERTA_API_URL="{{           nextcloud_sync_alerta_api_url           }}"
ALERTA_API_KEY="{{           nextcloud_sync_alerta_api_key           }}"
ALERTA_ALERT_ENVIRONMENT="{{ nextcloud_sync_alerta_alert_environment }}"
ALERTA_ALERT_SERVICE="{{     nextcloud_sync_alerta_alert_service     }}"
ALERTA_ALERT_RESOURCE="{{    nextcloud_sync_alerta_alert_resource    }}"
